<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Import Community or Environmental Data from Excel or Access</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" type="text/css" href="../../R.css">
</head><body>

<table width="100%" summary="page for import.from.Excel {BiodiversityR}"><tr><td>import.from.Excel {BiodiversityR}</td><td align="right">R Documentation</td></tr></table>
<h2>Import Community or Environmental Data from Excel or Access</h2>


<h3>Description</h3>

<p>
This function provides a method for importing community or environmental data from Excel (through functions <code><a href="../../RODBC/html/odbcConnect.html">odbcConnectExcel</a></code> or <code><a href="../../RODBC/html/odbcConnect.html">odbcConnectAccess</a></code>). In case of stacked data, a community dataset is formed by function <code><a href="makecommunitydataset.html">makecommunitydataset</a></code>.
</p>


<h3>Usage</h3>

<pre>
import.from.Excel(file = file.choose(), sheet = "community", sitenames = "sites", 
    column = "species", value = "abundance", factor = "", level = "")
import.from.Access(file = file.choose(), table = "community", sitenames = "sites", 
    column = "species", value = "abundance", factor = "", level = "")
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>file</code></td>
<td>
Location of the Excel file. </td></tr>
<tr valign="top"><td><code>sheet</code></td>
<td>
Name of the sheet of the Excel file to import: one of "community", "environmental" or "stacked". </td></tr>
<tr valign="top"><td><code>table</code></td>
<td>
Name of the table of the Access file to import: one of "community", "environmental" or "stacked". </td></tr>
<tr valign="top"><td><code>sitenames</code></td>
<td>
Name of categorical variable that provides the names for the sites. </td></tr>
<tr valign="top"><td><code>column</code></td>
<td>
Name of the categorical variable for the columns of the crosstabulation (typically indicating species); passed to <code><a href="makecommunitydataset.html">makecommunitydataset</a></code>. </td></tr>
<tr valign="top"><td><code>value</code></td>
<td>
Name of numerical variable for the cells of the crosstabulation (typically indicating abundance). The cells provide the sum of all values in the data frame; passed to <code><a href="makecommunitydataset.html">makecommunitydataset</a></code>. </td></tr>
<tr valign="top"><td><code>factor</code></td>
<td>
Name of the variable to calculate a subset of the data frame; passed to <code><a href="makecommunitydataset.html">makecommunitydataset</a></code>. </td></tr>
<tr valign="top"><td><code>level</code></td>
<td>
Value of the subset of the factor variable to calculate a subset of the data frame; passed to <code><a href="makecommunitydataset.html">makecommunitydataset</a></code>. </td></tr>
</table>

<h3>Details</h3>

<p>
This function provides a method of method of importing community or environmental datasets through functions <code><a href="../../RODBC/html/odbcConnect.html">odbcConnectExcel</a></code> and <code><a href="../../RODBC/html/sqlFetch.html">sqlFetch</a></code>.
</p>
<p>
For stacked datasets, a community data set is created with function <code><a href="makecommunitydataset.html">makecommunitydataset</a></code>. For community data with more species than the limited number of columns in Excel, this may be the only option of importing a community dataset.
</p>
<p>
An additional advantage of the function is that the community and environmental data can be stored in the same file. 
</p>
<p>
You may want to check compatibility of the community and environmental datasets with functions <code><a href="removeNAcomm.html">check.datasets</a></code> and modify the community dataset through <code><a href="removeNAcomm.html">same.sites</a></code>.
</p>


<h3>Value</h3>

<p>
The function returns a dataset that can be used as community or environmental data for analysis in BiodiversityR.</p>

<h3>Author(s)</h3>

<p>
Roeland Kindt (World Agroforestry Centre)
</p>


<h3>References</h3>

<p>
Kindt, R. &amp; Coe, R. (2005)
Tree diversity analysis: A manual and
software for common statistical methods for ecological and
biodiversity studies.
</p>
<p>
<a href="http://www.worldagroforestry.org/treesandmarkets/tree_diversity_analysis.asp">http://www.worldagroforestry.org/treesandmarkets/tree_diversity_analysis.asp</a>
</p>


<h3>Examples</h3>

<pre>
## Example is not run as requires RODBC
## Check for file "dune.xls" in the etc folder of BiodiversityR
##
#### Default 'ordiplot3d'
## Not run: 
library(RODBC)
dunenew &lt;- import.from.Excel(sheet="community", sitenames="sites")
dune.envnew &lt;- import.from.Excel(sheet="environmental", sitenames="sites")
## End(Not run)
</pre>



<hr><div align="center">[Package <em>BiodiversityR</em> version 1.0 <a href="00Index.html">Index]</a></div>

</body></html>
